## cairo 1.15.12

=== debian/changelog ===
cairo (1.15.12-1ubuntu0.1) cosmic; urgency=medium

  * debian/patches/git_adobe_cmykcolors.patch:
    - "Revert "Correctly decode Adobe CMYK JPEGs in PDF export"
      From further testing and investigation it appears that many PDF viewers
      already have a workaround to invert Adobe CMYK JPEGs, so our generated
      PDFs display incorrectly with those viewers due to double-inversion.
      (lp: #1560286)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jan 2019 15:10:03 +0100

cairo (1.15.12-1) unstable; urgency=medium

  * New upstream snapshot release
  * debian/libcairo2.symbols: Add new symbols
  * Drop 0005-Revert-fix-warning-variable-X.patch: Applied in new release
  * Cherry-pick 0005-Fix-assertion-failure-in-the-freetype-backend.patch
  * Bump Standards-Version to 4.1.4
  * Build with all hardening flags
  * Minor update to debian/watch
  * Update debian/gbp.conf

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Aug 2018 20:05:13 -0400

cairo (1.15.10-3) unstable; urgency=medium

  * Disable the test suite (enabled in 1.15.10-2). The test results were
    ignored anyway, and the test suite is quite broken at the moment so
    we won't be able to make the results fatal anytime soon. Furthermore,
    there's only one mega-test that runs all the smaller tests, and this
    causes automake to emit no output until the one test is done, making
    the build fail on builders with no FPU due to inactivity.
    Closes: #891547.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 18 Apr 2018 18:07:55 +0200
