## cairo 1.16.0

=== debian/changelog ===
cairo (1.16.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: watch for stable releases
  * Drop 0005-Fix-assertion-failure-in-the-freetype-backend.patch:
    - Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Oct 2018 09:36:36 -0400
