## cairo 1.16.0.1

=== debian/changelog ===
cairo (1.16.0.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>  Tue, 09 Feb 2021 12:37:13 +0800

cairo (1.16.0-4) unstable; urgency=medium

  * Team upload
  * d/p/ft-Use-FT_Done_MM_Var-instead-of-free-when-available-in-c.patch:
    Apply patch to fix memory corruption with packages that set their
    own memory allocator, such as WebKitGTK+.
    (Closes: #915801, CVE-2018-19876)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Mar 2019 07:57:56 +0000

cairo (1.16.0-3) unstable; urgency=medium

  * debian/patches/git-pdf-add-missing-flush.patch:
    - backport patch to fix corrupted pdf exports/prints

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Feb 2019 15:07:18 +0100

cairo (1.16.0-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 18:02:09 -0500
