## cairo 1.16.0.3

=== debian/changelog ===
cairo (1.16.0.3-deepin1) unstable; urgency=medium

  * 1. Fix undefined left-shifts
  * 2. 'Fix' a NULL pointer 'dereference' in cairo-pdf-surface

 -- liaoyuan <liaoyuan@uniontech.com>  Wed, 01 Mar 2023 11:31:41 +0800

cairo (1.16.0.2-1+dde) oldstable; urgency=medium

  * fix CVE-2017-9814

 -- Clay Stan <claystan97@gmail.com>  Mon, 13 Sep 2021 17:54:13 +0800
