## cairo 1.17.8

=== debian/changelog ===
cairo (1.17.8-2) experimental; urgency=medium

  * Add 2 patches to update check-def test for ARM & MIPS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Jul 2023 10:02:22 -0400

cairo (1.17.8-1) experimental; urgency=medium

  * New upstream release (Closes: #958487)
    - CVE-2019-6462 Fix infinite loop in cairo-arc.c (Closes: #929945)
  * Build with meson
  * Stop building cairo-perf-utils (Closes: #715709)
  * Drop all patches except for the Hurd patch
  * Cherry-pick patch to fix tee build
  * debian/control.in: Build-Depend on libspectre-dev
  * debian/control.in: Drop ancient Breaks & obsolete version restraints
  * debian/control.in: Build-Depend on ghostscript, libpoppler-glib-dev
    & librsvg2-dev for build tests
  * debian/docs: README → README.md
  * debian/libcairo2.symbols: Add new symbols
  * Don't disable png support for the udeb
  * Enable some build tests
  * Temporarily disable docs test
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 19:29:07 -0400

cairo (1.16.0-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/gbp.conf: Use upstream/1.16.x branch for upstream releases

  [ Jeremy Bicha ]
  * Add debian/upstream/metadata
  * debian/control.in: Build-Depend on dh-sequence-gnome
  * debian/rules: Don't override dh_missing

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Dec 2022 14:43:31 -0500

cairo (1.16.0-6) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Drop unused Build-Depends: libxsm-dev, xutils-dev, libxt-dev.
    These appear to have been unused since 2006, when cairo switched to
    preferring pkg-config and xlib.pc as its way to find Xlib.
    (Closes: #980992)

  [ Laurent Bigonville ]
  * debian/control.in: Switch dependencies from transitional
    libfreetype6-dev to libfreetype-dev

  [ Simon McVittie ]
  * d/control.in: Replace transitional libfontconfig1-dev with
    libfontconfig-dev
  * Standards-Version: 4.6.0 (no changes required)
  * Apply fixes suggested by lintian-brush:
    - Add missing ${misc:Depends} to Depends for libcairo2-udeb
    - Avoid explicitly specifying -Wl,--as-needed linker flag.
      This is the default in toolchain versions >= bullseye.
    - Bump debhelper compat level from 12 to 13.
      No changes to built binaries (verified with diffoscope).
  * d/rules: Don't do feature-reduced udeb build if udebs have been
    disabled. Thanks to Matthias Klose (Closes: part of #986153)
  * d/rules: Disable LTO optimization.
    The "optimize" feature area is not in Debian yet, but it's present in
    dpkg git and was backported into Ubuntu's dpkg. According to testing in
    Ubuntu, cairo is not ready for this yet.
    Thanks to Matthias Klose (Closes: #986153)
  * Canonicalize order of dependencies, etc. (wrap-and-sort -ab)

  [ Debian Janitor ]
  * Remove version constraints unnecessary since buster

 -- Simon McVittie <smcv@debian.org>  Sun, 08 May 2022 14:05:12 +0100

cairo (1.16.0-5) unstable; urgency=medium

  * Team upload
  * d/patches: Add patches from upstream for CVE-2020-35492
    (Closes: #978658)
  * Build-Depend on gtk-doc-tools.
    autoconf 2.70 automatically runs gtkdocize to update gtk-doc-related
    files for packages that invoke the GTK_DOC_CHECK macro, causing FTBFS
    with that version if gtk-doc-tools is not installed. (Closes: #978779)
  * d/tests/build: Mark as superficial (see #904979)
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support (Closes: #946371)
  * d/shlibs.local: Generate lockstep dependencies between binary packages.
    Upstream developers are not going to support mixing binary packages
    of different versions from the same source package, and neither should
    we; they all migrate to testing as a unit anyway.
  * Add Build-Depends-Package to all symbols files
  * Remove migration path from libcairo2-dbg older than Debian 9 'stretch'
  * d/rules: Don't maintain shlibs version manually.
    The symbols files make this unnecessary under most circumstances, and -V
    (which is the default in debhelper compat level 12) generates a
    dependency on at least the corresponding upstream version as a fallback.
  * Move to debhelper-compat 12
    - Drop -V from dh_makeshlibs (it is now the default)
  * Set Rules-Requires-Root to no
  * Wrap a long line in the 1.12.4-1 changelog entry (thanks, lintian-brush)
  * d/patches: Move patches from upstream to beginning of series, and add
    metadata
  * Add Lintian override for documentation in /usr/share/gtk-doc/html.
    See #970275 for details of why this is correct.
  * libcairo-gobject2: Add override for library-not-linked-against-libc.
    This library uses functions from Cairo, GLib and GObject, and does not
    directly depend on glibc.
  * Register with doc-base using a symlink in /usr/share/doc.
    This silences a Lintian warning, and makes the documentation a bit more
    discoverable.
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Dec 2020 21:39:40 +0000
