=== debian/watch ===
version=4
https://cairographics.org/snapshots/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
