## cairo 1.18.0

=== debian/changelog ===
cairo (1.18.0-3build1) noble; urgency=medium

  * Rebuild against new libpng16-16t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Apr 2024 15:33:30 +0200

cairo (1.18.0-3) unstable; urgency=medium

  * Revert "Disable tests on 32-bit architectures for time_t bootstrapping"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 08:43:18 -0400

cairo (1.18.0-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Provide a nocheck build profile to ease bootstrapping (Closes: #1055462)
  * Also include specture in the nocheck profile to avoid a build-dependency
    loop while bootstrapping

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh-sequence-gnome
  * Disable tests on 32-bit architectures for time_t bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 16:24:39 -0500

cairo (1.18.0-1) unstable; urgency=medium

  * New upstream release (LP: #2037186)
  * Drop all patches: applied in new release
  * debian/libcairo*.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Sep 2023 18:39:51 -0400

cairo (1.17.8-3) unstable; urgency=medium

  * Replace disable test patch with an argument to dh_auto_test
  * Release to unstable (Closes: #1041324)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 08:12:07 -0400
