=== debian/control ===
Source: cairo
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               ghostscript,
               gtk-doc-tools,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               liblzo2-dev,
               libpixman-1-dev,
               libpng-dev,
               libpoppler-glib-dev <!nocheck>,
               librsvg2-dev <!nocheck>,
               libspectre-dev <!nocheck>,
               libx11-dev,
               libxcb-render0-dev,
               libxcb-shm0-dev,
               libxcb1-dev,
               libxext-dev,
               libxrender-dev,
               meson,
               pkg-config,
               zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/cairo
Vcs-Git: https://salsa.debian.org/gnome-team/cairo.git
Homepage: https://cairographics.org/

Package: libcairo-gobject2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Cairo 2D vector graphics library (GObject library)
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This package contains the GObject library, providing wrapper GObject types
 for all cairo types.

Package: libcairo-script-interpreter2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Cairo 2D vector graphics library (script interpreter)
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This package contains the script interpreter for executing and manipulating
 cairo execution traces.

Package: libcairo2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Cairo 2D vector graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends. Paths consist
 of line segments and cubic splines and can be rendered at any width
 with various join and cap styles. All colors may be specified with
 optional translucence (opacity/alpha) and combined using the
 extended Porter/Duff compositing algebra as found in the X Render
 Extension.
 .
 Cairo exports a stateful rendering API similar in spirit to the path
 construction, text, and painting operators of PostScript, (with the
 significant addition of translucence in the imaging model). When
 complete, the API is intended to support the complete imaging model of
 PDF 1.4.
 .
 This package contains the shared libraries.

Package: libcairo2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcairo-gobject2 (= ${binary:Version}),
         libcairo-script-interpreter2 (= ${binary:Version}),
         libcairo2 (= ${binary:Version}),
         libfontconfig-dev,
         libfreetype-dev,
         libglib2.0-dev,
         libpixman-1-dev,
         libpng-dev,
         libsm-dev,
         libx11-dev,
         libxcb-render0-dev,
         libxcb-shm0-dev,
         libxcb1-dev,
         libxext-dev,
         libxrender-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libcairo-dev
Suggests: libcairo2-doc
Description: Development files for the Cairo 2D graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with Cairo.

Package: libcairo2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: lynx | www-browser
Description: Documentation for the Cairo Multi-platform 2D graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This package contains the HTML documentation for the Cairo library
 in /usr/share/gtk-doc/html/cairo/.

Package: libcairo2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Cairo 2D vector graphics library
 This is a udeb, or a microdeb, for the debian-installer.
