=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
+ifneq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
+TESTS=-Dtests=disabled \
+      -Dspectre=disabled
+endif
+
 %:
 	dh $@
 
@@ -14,7 +19,8 @@
 	-Dauto_features=enabled \
 	-Dsymbol-lookup=disabled \
 	-Dtee=enabled \
-	-Dquartz=disabled
+	-Dquartz=disabled \
+	$(TESTS)
 
 deb_configure_flags += \
 	$(configure_flags) \
@@ -57,8 +63,13 @@
 	rm -f test/reference/bug-image-compositor.ref.png
 	rm -rf debian/install/ debian/build/
 
+# The slow test suite is quite broken atm, so running it is not very useful.
+# Furthermore there's just one test that runs a ton of sub-tests,
+# that causes the single test to run for a long time without
+# printing any output, which causes the build to fail due to inactivity
+# on slow arches with no FPU, see https://bugs.debian.org/891547
 override_dh_auto_test:
-	dh_auto_test --builddirectory=debian/build/deb
+	dh_auto_test --builddirectory=debian/build/deb -- --no-suite=slow
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibcairo2 --add-udeb=libcairo2-udeb
