## cairo 1.18.4

=== debian/changelog ===
cairo (1.18.4-3) unstable; urgency=medium

  * Stop skipping build tests on loong64
  * Remove obsolete Lintian override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Jan 2026 09:20:37 -0500

cairo (1.18.4-2) unstable; urgency=medium

  * Support nodoc build profile
  * Mark ghostscript as only needed for build tests
  * Skip build tests on loong64 for bootstrapping
  * debian/watch: Convert to Version: 5
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Dec 2025 09:58:27 -0500

cairo (1.18.4-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 13:42:04 -0400
