=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: cairo
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               ghostscript,
-               gtk-doc-tools,
+               ghostscript <!nocheck>,
                libfontconfig-dev,
-               libfreetype-dev,
+               libfreetype-dev (>= 2.13),
                libglib2.0-dev,
                liblzo2-dev,
                libpixman-1-dev,
@@ -22,10 +20,10 @@
                libxext-dev,
                libxrender-dev,
                meson,
-               pkg-config,
+               pkgconf,
                zlib1g-dev
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Build-Depends-Indep: gtk-doc-tools <!nodoc>
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/cairo
 Vcs-Git: https://salsa.debian.org/gnome-team/cairo.git
 Homepage: https://cairographics.org/
@@ -84,7 +82,7 @@
          libcairo-script-interpreter2 (= ${binary:Version}),
          libcairo2 (= ${binary:Version}),
          libfontconfig-dev,
-         libfreetype-dev,
+         libfreetype-dev (>= 2.13),
          libglib2.0-dev,
          libpixman-1-dev,
          libpng-dev,
@@ -109,6 +107,7 @@
 Package: libcairo2-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: lynx | www-browser
