=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 deb_configure_flags += \
 	$(configure_flags) \
-	-Dgtk_doc=true
+	-Dgtk_doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false)
 
 udeb_configure_flags += \
 	$(configure_flags) \
