=== debian/watch ===
Version: 5
Source: https://cairographics.org/releases/
Matching-Pattern: @PACKAGE@-([\d\.]+[02468]\.[\d\.]+)@ARCHIVE_EXT@
